<?php


namespace ShahariaAzam\WPPlugin\DeshiNewsAggregator;

class Bootstrap
{
    function createPluginMenu()
    {

        //create new top-level menu
        add_menu_page(
            'Prothom Alo News Aggregator',
            'Settings',
            'administrator',
            DESHI_NEWS_AGGREGATOR_PLUGIN_SLUG_SETTINGS_PAGE,
            array("ShahariaAzam\WPPlugin\DeshiNewsAggregator\Pages\Settings", 'drawUI'),
            plugins_url(DESHI_NEWS_AGGREGATOR_PLUGIN_SLUG . DIRECTORY_SEPARATOR . 'statics/img/deshi_news_aggregator_icon.png', 'proth')
        );

        add_submenu_page(
            DESHI_NEWS_AGGREGATOR_PLUGIN_SLUG_SETTINGS_PAGE,
            'About',
            'About',
            'administrator',
            DESHI_NEWS_AGGREGATOR_PLUGIN_SLUG_ABOUT_PAGE,
            array("ShahariaAzam\WPPlugin\DeshiNewsAggregator\Pages\About", 'drawUI')
        );
    }

    function initOptionKeys()
    {
        //register our settings
        register_setting(DESHI_NEWS_AGGREGATOR_PLUGIN_SLUG_UNDERSCORED, 'DESHI_NEWS_AGGREGATOR_PLUGIN_db_version');
    }
}